### Callable

- G(pattern: string, cb: function): void
- G(pattern: string, options: IOptions, cb: function): void

- - Defined in node_modules/@types/glob/index.d.ts:13

  #### Parameters

  - ##### pattern: string

  - ##### cb: function

    - - (err: Error | null, matches: string[]): void

      - #### Parameters

        - ##### err: Error | null

        - ##### matches: string[]

        #### Returns void

- - Defined in node_modules/@types/glob/index.d.ts:14

  #### Parameters

  - ##### pattern: string

  - ##### options: IOptions

  - ##### cb: function

    - - (err: Error | null, matches: string[]): void

      - #### Parameters

        - ##### err: Error | null

        - ##### matches: string[]

        #### Returns void

## Index

### Interfaces

- IGlob
- IGlobBase
- IGlobStatic
- IGlobSyncStatic
- IOptions

### Variables

- Glob
- GlobSync

### Functions

- __promisify__
- hasMagic
- sync

## Variables

### Let Glob

Glob: IGlobStatic

- Defined in node_modules/@types/glob/index.d.ts:23

### Let GlobSync

GlobSync: IGlobSyncStatic

- Defined in node_modules/@types/glob/index.d.ts:24

## Functions

### __promisify__

- __promisify__(pattern: string, options?: IOptions): Promise<string[]>

- - Defined in node_modules/@types/glob/index.d.ts:17

  #### Parameters

  - ##### pattern: string

  - ##### Optional options: IOptions

  #### Returns Promise<string[]>

### hasMagic

- hasMagic(pattern: string, options?: IOptions): boolean

- - Defined in node_modules/@types/glob/index.d.ts:21

  #### Parameters

  - ##### pattern: string

  - ##### Optional options: IOptions

  #### Returns boolean

### sync

- sync(pattern: string, options?: IOptions): string[]

- - Defined in node_modules/@types/glob/index.d.ts:19

  #### Parameters

  - ##### pattern: string

  - ##### Optional options: IOptions

  #### Returns string[]

Generated using TypeDoc